local result
local vector2 = require("#microsoft.xna.framework.vector2")
local lua_helper = celeste.Mod.LuaCutscenes.LuaHelper
local monocle = require("#Monocle")
local minput = require("#Monocle.MInput")
local coroutineEntity = monocle.Entity()

function onTalk()
    disableRetry()
	disableMovement()
    setFlag("filhodaputa", true)
    say("Angleversario_angle_porra")
    setFlag("filhodaputa", false)
end

function onEnd()
    enableMovement()
    enableRetry()
    setFlag("filhodaputa", false)
end